#
# spec file for package perl-Satcon
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2008-2018 Red Hat, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{!?fedora: %global sbinpath /sbin}%{?fedora: %global sbinpath %{_sbindir}}

Name:           perl-Satcon
Summary:        Framework for configuration files
License:        GPL-2.0-only
Group:          Applications/System
Version:        5.0.1
Release:        1.git.0.2187c60
URL:            https://github.com/uyuni-project/uyuni
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Source0: perl-Satcon-git-0.b26159c.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
Requires:       policycoreutils
%else
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Run-time:
# bytes not used at tests
# Data::Dumper not used at tests
# File::Find not used at tests
# File::Path not used at tests
# Getopt::Long not used at tests
BuildRequires:  perl(strict)
# Tests:
BuildRequires:  perl(Test)
Requires:       %{sbinpath}/restorecon
%endif

%description
Framework for generating config files during installation.
This package include Satcon perl module and supporting applications.

%prep
%setup -q -n perl-Satcon-git-0.b26159c

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README
%{!?_licensedir:%global license %doc}
%license LICENSE
%{perl_vendorlib}/*
%{_bindir}/*

%changelog
